PAW(1)

NAME
paw - invoke the "Physics Analysis Workstation" package

SYNOPSIS
paw [-b macro_name] [-w workstation_type] [-n]

paw++ [-b macro_name] [-n]

DESCRIPTION

PAW is an interactive utility for visualizing experimental data on a computer graphics display. It may be run in batch mode if desired for very large and time consuming data analyses; typically, however, the user will decide on an analysis procedure interactively before running a batch job.

PAW combines a handful of CERN High Energy Physics Library systems that may also be used individually in software that processes and displays data. The purpose of PAW is to provide many common analysis and display procedures that would be duplicated needlessly by individual programmers, to supply a flexible way to invoke these common procedures, and yet also to allow user customization where necessary.

Paw++ is a Motif-based version of PAW.

  OPTIONS

When paw starts, the macro pawlogon.kumac in the current directory is executed. If this macro doesn't exist the system tries to execute the macro .pawlogon.kumac in the home directory.

-n  The macro pawlogon is not executed.

-b macro_name
    The macro specified is executed in batch mode and paw exits when the macro ends.

-w workstation_type
    PAW starts immediately without prompting for the workstation type. If workstation_type = 0, paw starts without graphics.

    When the X11 version of paw is used, a list of 10 valid workstation types is provided in the file higz_windows.dat. By default this file is in the current directory. If it is not, the one in the home directory is used. If it is not in the home directory, one is automatically created in the current directory. Each line in this file describes the position and the size of the window. To access one of the described windows it is enough to give the line number in reply to the prompt "Workstation type"

ENVIRONMENT VARIABLES

HIGZPRINTER
    Specifies the command line executed when the command PICTURE/PRINT is invoked.

KUIPPAGER, PAGER
    Checked in this order to determine what pager program to use. If neither are set, 'sensible-pager' is used in Debian.

KUIPEDITOR, EDITOR
    Checked in this order to determine what editor to use. If neither are set, 'sensible-editor' is used in Debian.

KUIPPSVIEWER, PSVIEWER
    Checked in this order to determine the program to use for viewing PostScript. If neither are set, 'gv' is used.

$ENV()
    Any environment variable can be accessed in paw with the function $ENV().

SEE ALSO

• the online help (PAW command HELP)
• the WWW pages: http://cern.ch/paw/
• the tutorial: http://cern.ch/paw/tutorial/
• the FAQ: http://wwwasd.web.cern.ch/wwwasd/cgi-bin/listpawfaqs.pl
• the reference manual: http://cern.ch/paw/reference_manual/
• kuesvr(7) - the KUIP edit server
• kxterm(1) - the program used by Paw++ as a command interface
• pawserv(8) - a server that listens for remote PAW connections

COPYRIGHT
(C) Copyright CERN, Geneva 1995.